Summary:	A real mode 80x86 assembler and linker
Name:		dev86
Version:	0.16.21
Release:	%mkrel 7
License: GPL+ and GPLv2+ and LGPLv2+
Group:		Development/Other
URL:		http://v3.sk/~lkundrak/dev86/
Source:		http://v3.sk/~lkundrak/dev86/Dev86src-%{version}.tar.gz
Patch0:		dev86-noelks.patch
Patch1:		dev86-64bit.patch
Patch2:		dev86-nostrip.patch
Patch4:		dev86-long.patch
Obsoletes:	bin86
Provides:	bin86
ExclusiveArch:	%{ix86} ppc x86_64

# don't try to strip binaries generated by dev86 unknown to /usr/bin/strip
%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

BuildRequires:  gcc
%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%package	devel
Summary:	A development files for dev86
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

The dev86-devel package provides C headers need to use bcc, the C
compiler for real mode x86.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

Note that you don't need dev86-devel package in order to build
a kernel.

%prep
%setup -q
%patch0 -p1 -b .noelks
%if 0%{?__isa_bits} == 64
%patch1 -p1 -b .64bit
%endif
%patch2 -p1 -b .nostrip
%patch4 -p1 -b .long

%build
# the main makefile doesn't allow parallel build
make bcc86 unproto copt as86 ld86 CFLAGS="%{optflags} -fno-strict-aliasing"
%make_build -C cpp CFLAGS="%{optflags}"
%make_build -C ar CFLAGS="%{optflags}"
%make_build -C ld CFLAGS="%{optflags}"
# ncc doesn't support gcc optflags
make

%install
make	DIST=${RPM_BUILD_ROOT} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}/bcc \
	INCLDIR=%{_libdir}/bcc \
	LOCALPREFIX=%{_prefix} \
	install install-man

# preserve READMEs
for i in bootblocks copt dis88 unproto bin86 ; do cp $i/README README.$i ; done
cp bin86/README-0.4 README-0.4.bin86
cp bin86/ChangeLog ChangeLog.bin86
mv libc/COPYING COPYING.LGPL

pushd %{buildroot}%{_bindir}
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86
popd

%files
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86 COPYING
%doc COPYING.LGPL
%dir %{_libdir}/bcc
%{_bindir}/*
%{_libdir}/bcc/*
%{_mandir}/man1/*
%exclude %{_libdir}/bcc/i386/lib*
%exclude %{_libdir}/bcc/include

%files devel
%doc README
%dir %{_libdir}/bcc/include
%{_libdir}/bcc/include/*
%{_libdir}/bcc/i386/lib*


%changelog
* Fri Sep 11 2020 tv <tv> 0.16.21-7.mga8
+ Revision: 1624548
- better way to recognize 64bit arches
- fix license
- better way to ensure we don't strip binaries
- fix "bare words are no longer supported"

* Thu Feb 13 2020 umeabot <umeabot> 0.16.21-6.mga8
+ Revision: 1511825
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.16.21-5.mga7
+ Revision: 1297426
- Mageia 7 Mass Rebuild

* Sat Oct 21 2017 daviddavid <daviddavid> 0.16.21-4.mga7
+ Revision: 1172944
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Thu Jan 28 2016 umeabot <umeabot> 0.16.21-3.mga6
+ Revision: 928489
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.21-2.mga5
+ Revision: 678719
- Mageia 5 Mass Rebuild

* Sat Mar 22 2014 luigiwalser <luigiwalser> 0.16.21-1.mga5
+ Revision: 606603
- 0.16.21
- remove upstreamed format string patch
- update source URL

* Thu Dec 05 2013 luigiwalser <luigiwalser> 0.16.20-1.mga5
+ Revision: 555388
- 0.16.20
- update URLs
- remove upstreamed patches
- sync patches from fedora (long 64-bit type width and format string)

* Fri Oct 18 2013 umeabot <umeabot> 0.16.19-3.mga4
+ Revision: 503809
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.16.19-2.mga3
+ Revision: 348728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 luigiwalser <luigiwalser> 0.16.19-1.mga3
+ Revision: 313623
- 0.16.19
- update URLs
- remove upstreamed patches

* Mon Apr 25 2011 pterjan <pterjan> 0.16.18-3.mga1
+ Revision: 90281
- Fix include dir on x86_64
- Use correct libdir on x86_64
- Search in correct libdir on i586

* Tue Apr 19 2011 pterjan <pterjan> 0.16.18-2.mga1
+ Revision: 88715
- Replace an overlapping strcpy with memmove
+ tv <tv>
- new release 0.1.6.18 (from fedora)

* Sat Jan 22 2011 ahmad <ahmad> 0.16.17-9.mga1
+ Revision: 32996
- add two patches, one from Debian the other from Gentoo to fix build
+ tmb <tmb>
- imported package dev86

